<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddTimePeriodReq StructType
 * @subpackage Structs
 */
class AddTimePeriodReq extends APIRequest
{
    /**
     * The timePeriod
     * @var XTimePeriod
     */
    public $timePeriod;
    /**
     * Constructor method for AddTimePeriodReq
     * @uses AddTimePeriodReq::setTimePeriod()
     * @param XTimePeriod $timePeriod
     */
    public function __construct(XTimePeriod $timePeriod = null)
    {
        $this
            ->setTimePeriod($timePeriod);
    }
    /**
     * Get timePeriod value
     * @return XTimePeriod|null
     */
    public function getTimePeriod()
    {
        return $this->timePeriod;
    }
    /**
     * Set timePeriod value
     * @param XTimePeriod $timePeriod
     * @return AddTimePeriodReq
     */
    public function setTimePeriod(XTimePeriod $timePeriod = null)
    {
        $this->timePeriod = $timePeriod;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddTimePeriodReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
